import { IColumn } from "@fluentui/react";
import { DriveItem, ListItem, Site, Subscription } from "@microsoft/microsoft-graph-types";
import "isomorphic-fetch";
import { FieldsListItem, IActivity, IUserInfo } from "../models";
import { INewsInfo } from "../models/INewsInfo";
import { IListWithColumns } from "../models/IListWithColums";
import { IlistItemsResults } from "../models/IlistItemsResults";
export declare enum EListType {
    "file" = "file",
    "listItem" = "listItem"
}
export declare const useMsGraphAPI: () => {
    getSiteInfo: (siteId: string) => Promise<any>;
    getLists: (searchString: string) => Promise<any>;
    getListInfo: (siteId: string, listId: string) => Promise<any>;
    createAppFolder: (folderName: string) => Promise<void>;
    saveSettings: (settings: string) => Promise<void>;
    getSettings: () => Promise<any[]>;
    getListSockectIo: (siteId: string, listId: string) => Promise<Subscription>;
    getSiteInfoByRelativeUrl: (url: string) => Promise<Site>;
    getUserPhoto: (user: string) => Promise<string>;
    getListItemActivity: (siteId: string, listId: string, activity: IActivity) => Promise<{
        itemInfo: ListItem | DriveItem;
        type: string;
    }>;
    getListActivities: (siteId: string, listId: string) => Promise<IActivity[]>;
    getUser: () => Promise<IUserInfo | undefined>;
    getNews: (sites?: string[], numberItems?: number, searchValue?: string) => Promise<INewsInfo[] | undefined>;
    getBannerImage: (listItemInfo: FieldsListItem) => Promise<string>;
    getListColumns: (siteId: string, listId: string) => Promise<IListWithColumns>;
    getListItems: (siteId: string, listId: string, listViewFields: IColumn[], pageSize?: number, filter?: string, orderBy?: string, isDescending?: boolean) => Promise<IlistItemsResults>;
    getImageThumbnail: (fileUrl: string) => Promise<string | undefined>;
    getListItem: (siteId: string, listId: string, itemId: string, parameters?: string) => Promise<ListItem>;
    getListItemsNextPage: (nextLink: string) => Promise<IlistItemsResults>;
};
