export interface IListWithColumns {
    '@odata.context': string;
    '@odata.etag': string;
    createdDateTime: string;
    description: string;
    eTag: string;
    id: string;
    lastModifiedDateTime: string;
    name: string;
    webUrl: string;
    displayName: string;
    createdBy: CreatedBy;
    lastModifiedBy: CreatedBy;
    parentReference: ParentReference;
    list: List;
    'columns@odata.context': string;
    columns: IListColumn[];
}
export interface IListColumn {
    columnGroup: string;
    description: string;
    displayName: string;
    enforceUniqueValues: boolean;
    hidden: boolean;
    id: string;
    indexed: boolean;
    name: string;
    readOnly: boolean;
    required: boolean;
    calculated?: CalculatedColumn;
    text?: Text;
    dateTime?: DateTime;
    personOrGroup?: PersonOrGroup;
    lookup?: Lookup;
    choice?: Choice;
    boolean?: boolean;
    currency?: CurrencyColumn;
    geolocation?: GeolocationColumn;
    number?: NumberColumn;
    hyperlinkOrPicture?: HyperlinkOrPictureColumn;
    term?: Term;
    defaultValue?: DefaultValue;
}
export interface DefaultValue {
    value: string;
}
export interface CalculatedColumn {
    "format": "dateOnly | dateTime";
    "formula": "=[Column1]+[Column2]+[Column3]";
    "outputType": "boolean | currency | dateTime | number | text";
}
export interface GeolocationColumn {
}
export interface Choice {
    allowTextEntry: boolean;
    choices: string[];
    displayAs: string;
}
export interface Lookup {
    allowMultipleValues: boolean;
    allowUnlimitedLength: boolean;
    columnName: string;
    listId: string;
    primaryLookupColumnId?: string;
}
export interface PersonOrGroup {
    allowMultipleSelection: boolean;
    displayAs: string;
    chooseFromType: string;
}
export interface DateTime {
    displayAs: string;
    format: string;
}
export interface Text {
    allowMultipleLines: boolean;
    appendChangesToExistingText: boolean;
    linesForEditing: number;
    maxLength?: number;
    textType?: string;
}
export interface HyperlinkOrPictureColumn {
    "isPicture": false;
}
export interface Term {
    "allowMultipleValues": true;
    "parentTerm": {
        "@type": "microsoft.graph.termStore.term";
    };
    "showFullyQualifiedName": false;
    "termSet": {
        "@type": "microsoft.graph.termStore.set";
    };
}
export interface NumberColumn {
    "decimalPlaces": "automatic | none | one | two | three | four | five";
    "displayAs": "number | percentage";
    "maximum": number;
    "minimum": number;
}
export interface CurrencyColumn {
    "locale": "en-us";
}
export interface List {
    contentTypesEnabled: boolean;
    hidden: boolean;
    template: string;
}
interface ParentReference {
    siteId: string;
}
interface CreatedBy {
    user: User;
}
interface User {
    email: string;
    id: string;
    displayName: string;
}
export {};
